Class | IrcLogModule
In: | lib/rbot/core/irclog.rb
Parent: | CoreBotModule

Author: | Giuseppe "Oblomov" Bilotta <giuseppe.bilotta@gmail.com>

### Methods

can_log_on cleanup event_irclog_list_changed irclog listen log_join log_kick log_message log_nick log_notice log_part log_quit log_topic logfile_close logfilepath loggers_thread modechange motd new sent unknown_message welcome

### Attributes

nolog_rx | [RW] |

### Public Class methods

new()

### Public Instance methods

can_log_on(where)
cleanup()
event_irclog_list_changed(nolist, dolist)
irclog(message, where="server")

log IRC-related message `message` to a file determined by `where`. `where` can be a channel name, or a nick for private message logging

listen(m)
log_join(m)
log_kick(m)
log_message(m)
log_nick(m)
log_notice(m)
log_part(m)
log_quit(m)
log_topic(m)

def log_invite(m)

      # TODO

end

logfile_close(where_str, reason = 'unknown reason')
logfilepath(where_str, now)
modechange(m)
motd(m)
sent(m)
unknown_message(m)

def names(m)

      # TODO

end

welcome(m)

### Protected Instance methods

loggers_thread()

[Validate]